MONGOC_GRIDFS_FIND_ONE(3)

NAME
mongoc_gridfs_find_one - mongoc_gridfs_find_one()

DEPRECATED

This function is deprecated, use mongoc_gridfs_find_one_with_opts instead.

SYNOPSIS

        mongoc_gridfs_file_t *
        mongoc_gridfs_find_one (mongoc_gridfs_t *gridfs,
                                const bson_t *query,
                                bson_error_t *error)
           BSON_GNUC_DEPRECATED_FOR (mongoc_gridfs_find_one_with_opts);

PARAMETERS

    •   gridfs: A mongoc_gridfs_t.

    •   query: A bson_t.

    •   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function shall execute a query on the underlying gridfs implementation. The first file matching query will be returned. If there is an error, NULL is returned and error is filled out; if there is no error but no matching file is found, NULL is returned and the error code and domain are 0.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A newly allocated mongoc_gridfs_file_t or NULL if no file could be found. You must free the resulting file with mongoc_gridfs_file_destroy() if non-NULL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc